# QXmlQuery Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

- void QXmlQuery()
- void QXmlQuery(QueryLanguage queryLanguage, QXmlNamePool np)
- void QXmlQuery(QXmlNamePool np)
- void QXmlQuery(QXmlQuery other)

### Constructor Properties

- prototype: The QXmlQuery prototype object
- XQuery10 = 1
- XSLT20 = 2
- XmlSchema11IdentityConstraintSelector = 1024
- XmlSchema11IdentityConstraintField = 2048
- XPath20 = 4096
- QueryLanguage( value )

### Prototype Object Properties

- void bindVariable(String localName, QIODevice arg__2)
- bool evaluateTo(QIODevice target)
- QXmlName initialTemplateName()
- bool isValid()
- QAbstractMessageHandler messageHandler()
- QXmlNamePool namePool()
- QNetworkAccessManager networkAccessManager()
- QXmlQuery operator_assign(QXmlQuery other)
- QueryLanguage queryLanguage()
- bool setFocus(QIODevice document)
- void setInitialTemplateName(String name)
- void setMessageHandler(QAbstractMessageHandler messageHandler)
- void setNetworkAccessManager(QNetworkAccessManager newManager)
- void setQuery(QIODevice sourceCode, QUrl documentURI)
- void setUriResolver(QAbstractUriResolver resolver)
- QAbstractUriResolver uriResolver()

### Instance Properties

QXmlQuery objects have no special properties beyond those inherited from the QXmlQuery prototype object.